org.springframework.beans.factory.xml

## Class XmlBeanDefinitionStoreException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.beans.BeansException
          - - org.springframework.beans.FatalBeanException
            - - org.springframework.beans.factory.BeanDefinitionStoreException
              - - org.springframework.beans.factory.xml.XmlBeanDefinitionStoreException

- All Implemented Interfaces:
    Serializable

      public class XmlBeanDefinitionStoreException
      extends BeanDefinitionStoreException

  XML-specific BeanDefinitionStoreException subclass that wraps a `SAXException`, typically a `SAXParseException` which contains information about the error location.
  Since:
    2.0.2
  Author:
    Juergen Hoeller
  See Also:
    `getLineNumber()`, `SAXParseException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlBeanDefinitionStoreException(String resourceDescription, String msg, SAXException cause)` Create a new XmlBeanDefinitionStoreException.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLineNumber()` Return the line number in the XML resource that failed.

    - ### Methods inherited from class org.springframework.beans.factory.BeanDefinitionStoreException

      `getBeanName, getResourceDescription`

    - ### Methods inherited from class org.springframework.beans.BeansException

      `equals, hashCode`

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlBeanDefinitionStoreException

          public XmlBeanDefinitionStoreException(String resourceDescription,
                                         String msg,
                                         SAXException cause)

      Create a new XmlBeanDefinitionStoreException.
      Parameters:
        `resourceDescription` - description of the resource that the bean definition came from
        `msg` - the detail message (used as exception message as-is)
        `cause` - the SAXException (typically a SAXParseException) root cause
      See Also:
        `SAXParseException`

  - ### Method Detail

    - #### getLineNumber

          public int getLineNumber()

      Return the line number in the XML resource that failed.
      Returns:
        the line number if available (in case of a SAXParseException); -1 else
      See Also:
        `SAXParseException.getLineNumber()`